AutoCAD Inventor :: How To Create Folder In Assembly Tree And Save Virtual Part There
Sep 25, 2013
I`m working on the code that reads a list of virtual parts from Excel and adds required qty into the assembly. So far it looks good, I just need to know how to create a folder in a Assembly view tree and save virtual part in that folder instead of placing it in the root.
Dim occs As ComponentOccurrences
occs = asmDoc.ComponentDefinition.Occurrences
Dim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrixDim virtOcc As ComponentOccurrencevirtOcc = occs.AddVirtual(sVirtPart, identity)
I am trying to create a Treeview of Model tree which displays parts assembly...etc My code is working well and i am able to get the tree view, but the problem is how can i count the quantity of parts/assemblies and display as consolidated. For instance this below snapshot shows my treeview.
This above snapshot shows my output
Here besides all parts/assemblies i get Semi-Colons and Numbers rather than consolidated view For this part in fig
PS CS6 and Win7/64...We just finished shooting a 3 day conference for 600 people, that involved many break-out sessions. Our folder tree of all the finished TIFFs is organized by day, then by topic, and then by break out. All in all there are 75 folders in the tree, with close to 700 TIFFs.
The client wants both hi-res and lo-res JPGs (not the TIFFs).I have a very simple droplet that will convert a TIFF to JPG, but works only on a given folder, and outputs to a generic folder (so I have to copy these back).
Is there a way to create a droplet that will
(a) walk the source tree and convert the TIFFs of each folder to JPG, as well as
(b) Have PS create a matching tree to deposit the JPGs into the corresponding folders?
I know there's an option to include all folders when doing the conversion, but (b) is the critical element so I don't have to do this in a folder-by-folder basis.
I'm trying to design a linear bearing that is composed of a billet of material to which six ball bearings are bolted. I was able to create a part representing the ball bearing from the manufacturer's dimensions. I then modeled a lock washer as a part, then an assembly consisting of a ball bearing and a lock washer. I then created an assembly from that assembly, with six of these ball bearing/lock washer assemblies in the desired orientations.
Now that I have the ball bearings oriented in space the way I need them, I need to model the billet to which they will all mount. I did things in this order because the ball bearings are metric, yet the rest of my design is in imperial units, and it just seemed easier to orient the bearings (which will interface with yet another assembly that I have yet to design) first.
I'd like to create my billet using the assembly as a reference. The assembly will tell me where I need holes in the billet to mount the bearings, where I need to cut out material for clearances, etc. I can't figure out how (or if) I can import my assembly into my part file, or what other tools are available to accomplish this task.
I'm attempting to model something similar to this. I've got the six bearings oriented in space, now I need to make the block to which they mount.
When we send 3D models to customers, we always derive the assembly to make it 1 solid part, so the customer cannot disassemble it to copy our product, and then save it as a step file.
I want to Derive an assembly to a part and then save it as a *.step file with an ilogic rule.
I worked out the last part, but i cannot find the Derive assembly code anywhere.
Im not an experienced programmer, i can only Copy paste, so if the solution is already posted in a simular rule, i will not be able to pick what i need from the code
I have a script that is perfectly works in 2012 inventor pro version. It moves newly added virtual parts into the VIRTUAL_PARTS folder. Part of script is below:
Dim oFolder As BrowserFolder Dim oTopNode As BrowserNode oTopNode = oPane.TopNode() Dim oTopNodeOcc As BrowserFoldersEnumerator oTopNodeOcc = oTopNode.BrowserFolders For Each oFolder In oTopNode.BrowserFolders i = i + 1 Next If i = 0 Then oFolder = oPane.AddBrowserFolder("VIRTUAL_PARTS", oOccurrenceNodes) Else For Each oFolder In oTopNode.BrowserFolders If oFolder.Name = "VIRTUAL_PARTS" Then For Each oOcc In oAsmCompDef.Occurrences If TypeOf oOcc.Definition Is VirtualComponentDefinition Then oNode = oPane.GetBrowserNodeFromObject(oOcc) End If 'MsgBox(oTopNodeOcc(1).Name) oTopNodeOcc(1).Add(oNode) Next Else ' do nothing End If Next End If
In 2014 pro it works only once, when I add first virtual part. It creates a folder and moves it there. When I add 2nd virtual part it gives me a error
How to add a virtual part from an excel list to assembly using vb.net plugin. I`d like to know how to change i Properties of the virtual part through vb.net.
The iLogic code that I would typically use is:
Dim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.OccurrencesDim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrix Dim virtOcc As ComponentOccurrenceIf v_qty >= 1 ThenvirtOcc = occs.AddVirtual(sVirtPart, identity) Try iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 Catch End Try.......
so for the plugin I need to re-write this
Dim _invApp As Inventor.ApplicationDim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.Occurrences Dim identity As Matrixidentity = _invApp.TransientGeometry.CreateMatrix Dim virtOcc As ComponentOccurrence If vp_qty >= 1 Then virtOcc = occs.AddVirtual(sVirtPart, identity) 'Try ' iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1 ' iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 'Catch 'catch error when oProp1 = nothing 'End Try
How should I re-write the text in bold , so it works?
when I'm in a part file and attempting to open the related drawing file by right clicking on the part name at the top of the design tree, the drawing can't be found automatically and I've to find it in the file open dialogue box.
Dear Sir, In particular project, when I insert part in Assembly file, It is inserted as a Tube & Pipe run part. so that It is not Grounded automatically. What is the settings by which I can insert as a normal part in assembly file ? I have attached herewith the JPG file also.
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
I would like to simplify this assembly into one seamless part for FEM calculation:The assembly consists out of parts that, in reality, will be welded together. Due to their form, there is no way to place them exactly onto each other, therefore there are slight gaps between the parts:
Now when I try to merge the assembly into one part via "simplify" --> "create simplified part" and choose "single solid body with seams between planar faces merged", Inventor does not fill these gaps (even though it displays only one part in the bottom right corner of my window). Unfortunately, the remaining gaps brings "contact" problems in the FEM simulation.
how to close the gaps and really merge the assembly into one part?
I have a part that has protrusions. When i mate that part up to another part that second part needs to have cutouts/holes to receive those protrusions.
i mainly use it in sheetmetal parts. and use the rectangular protrusions on de contour to mate up with corresponding cutouts in the other sheet. this works with positioning and also makes for a nice weld spot/area.
But also for making holes to accommodate a mold pin used in custom punch dies. I want the intervening part to receive a corresponding (propperly tolleranced) hole automatically. Much like a bolted connection does.
same for parts like circlips. i want them to automatically generate the seat in the part it's mated to. Rather than using the axle generator.
Ofcourse one can place the parts and do an in assembly interpart projection and go from there, but i want the part to generate the (predifined) modification to the other part. It would save time and also reduces problems as the parts are moved about or even removed.
I have an assembly with 10 parts in it. We use many assembly features at the assembly level (Revolve cut, Extrusion cut..etc). How to find the mass difference of each part by comparing at its parts level and its assembly level.
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
Why when I mirror a part in an assembly the mirrored part gets a new part number? I want to mirror only the position of the part which is always the same part. Is it possible to do that in Inventor?
I am trying to use iLogic to programatically create virtual components in an assembly. These components will by used as iProperty "buckets" to hold Machine Center specific information to be exported to production planning software. This information is hierarchical in nature and cannot be (conveniently) stored in the assembly iproperties directly.
I am trying to create an assembly with a U channel (side ditch) that's top will follow the sidewalk it is next to but I need the profile of the U channel to be different than that of the roadway. Is there a way to create a custom subassembly part that will do this? Can I create a different allignment/profile for the bottom of the U channel that can then link to the other assembly?
The only other think I can think of is to use a dynamic block to add the U channel to my cross sections, but that will take a lot of time to do.
Every time i open the view rapp folder the relationship folder will open too. If i will close the relationship folder...and open again the view rapp then it repeats.
The problem is that my assemblies has many parts an a lots of constraints...so my browser is quickly full of constraints visually. I use a lots the view rapp...so there is away to maintain the relationship folder closed ...or open only when i will click on it?
In the save as dialog box, the button for creating a new folder will automatically create a named "new folder" at the bottom of the files list. It does not come up highlighted for naming but can be right-clicked, renamed. If your files list is long you won't even see the new folder created as it does not snap to the folder either. Conversely; I can still right-click, new, folder. This acts as expected which creates folder at the top of files list, highlighted for naming.
I use inventor 2012. In some projects the cc parts cannot be saved as a custom part (error message: Unable to create component), but in some project it works. I checked all projects settings are same.
I often want to copy a design (assembly plus used parts) to some other folder as a quick start for some derived work. I want to be able to work on this copy without influencing the original and visa versa.
The problem is when copying with the windows copy command, the references to the parts point to the original folder. I read that you can use the Copy feature of the Vault for this. But I'm not using the Vault and don't want to.
Pack and Go is also not a good solution because it copies a lot of other stuff and makes a new project file. How can I do this. It seems so a simple operation. But I can not figure out how to do that!